%define oname	storm
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so

Summary:	Object Relational Mapper for Python
Name:		python-%{oname}
Version:	0.20
Release:	%mkrel 3
Source0:	https://launchpad.net/storm/trunk/%{version}/+download/%{oname}-%{version}.tar.bz2
License:	GPLv2
URL:		http://storm.canonical.com/
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# https://lists.ubuntu.com/archives/storm/2013-June/001492.html
Patch0:		python-storm-maxint.patch
# https://bugs.launchpad.net/storm/+bug/1199578
Patch1:		storm-0.20-exclude-tests.patch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
Requires:	python-sqlite2

%description
Storm is an object-relation mapper (ORM) for the Python language. It allows
rows from a relational database to be seen as objects in an object-oriented
language like Python.

- Storm lets you efficiently access and update large datasets by allowing you
  to formulate complex queries spanning multiple tables using Python.

- Storm allows you to fallback to SQL if needed (or if you just prefer),
  allowing you to mix "old school" code and ORM code

%package	mysql
Summary:	MySQL backend for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-mysql

%description	mysql
The %{name}-mysql package contains the MySQL database backend for
%{name}.

%package	postgresql
Summary:	PostgreSQL backend for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-psycopg2

%description	postgresql
The %{name}-postgresql package contains the PostgreSQL database
backend for %{name}.


%package	django
Summary:	Support for using %{name} as Django ORM
Group:		Development/Python
Requires:	python-django
Requires:	%{name}-zope = %{version}-%{release}

%description	django
The %{name}-django package contains an alternative ORM implementation
for Django.


%package	zope
Summary:	Zope integration for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-zope-interface

%description	zope
The %{name}-zope package provides Zope integration for %{name}.


%package	twisted
Summary:	Twisted integration for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-twisted-core

%description	twisted
The %{name}-twisted package provides Twisted integration for %{name}.


%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc LICENSE NEWS README TODO tests/tutorial.txt
%exclude %{python_sitearch}/storm/django
%exclude %{python_sitearch}/storm/zope
%exclude %{python_sitearch}/storm/cextensions.c
%exclude %{python_sitearch}/storm/databases/mysql.*
%exclude %{python_sitearch}/storm/databases/postgres.*
%exclude %{python_sitearch}/storm/twisted
%{python_sitearch}/storm*

%files django
%{python_sitearch}/storm/django

%files zope
%{python_sitearch}/storm/zope

%files mysql
%{python_sitearch}/storm/databases/mysql.*

%files postgresql
%{python_sitearch}/storm/databases/postgres.*

%files twisted
%{python_sitearch}/storm/twisted


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.20-3.mga4
+ Revision: 544203
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.20-2.mga4
+ Revision: 499470
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.20-1.mga4
+ Revision: 471976
- split in sub packages
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.19-2.mga3
+ Revision: 379549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 philippem <philippem> 0.19-1.mga2
+ Revision: 168393
- Update to 0.19

* Sat Mar 26 2011 dmorgan <dmorgan> 0.18-1.mga1
+ Revision: 77544
- imported package python-storm


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2011.0
+ Revision: 603076
- update to new version 0.18

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.17-2mdv2011.0
+ Revision: 590595
- rebuild for python 2.7

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2011.0
+ Revision: 587731
- update to new version 0.17

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.16.0-1mdv2010.1
+ Revision: 515958
- update to 0.16.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.13-3mdv2010.0
+ Revision: 442498
- rebuild

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 0.13-2mdv2009.1
+ Revision: 323372
- rebuild

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.13-1mdv2009.0
+ Revision: 280473
- New release

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.11-5mdv2009.0
+ Revision: 259825
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.11-4mdv2009.0
+ Revision: 247679
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2008.1
+ Revision: 171068
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 26 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.11-1mdv2008.1
+ Revision: 102257
- new version 0.11

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.9-1mdv2008.0
+ Revision: 53014
- Import python-storm

